Bug 618852 - Review Request: laughlin-backgrounds - Laughlin desktop backgrounds
Review Request: laughlin-backgrounds - Laughlin desktop backgrounds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julian Aloofi
Julian Aloofi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 17:14 EDT by Martin Sourada
Modified: 2010-08-01 15:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: laughlin-backgrounds-13.91.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-01 15:18:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
julian.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2010-07-27 17:14:48 EDT
Spec URL: http://mso.fedorapeople.org/packages/SPECS/laughlin-backgrounds.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/laughlin-backgrounds-13.91.0-1.fc12.src.rpm
Description: 
Package containing Laughlin desktop backgrounds. The main package serves as metapackage pulling in both gnome and kde stuff, the -gnome and -kde subpackages are self-explanatory, -single subpackage serves for containing single screen images shared by both gnome and kde. As the -single one is needed by all the rest, I've put license and credits there.
Comment 1 Julian Aloofi 2010-07-28 17:26:26 EDT
I'm taking this completely for free ;)

I guess this must be finished before Aug 3rd then?
Comment 2 Martin Sourada 2010-07-28 17:31:47 EDT
(In reply to comment #1)
> I'm taking this completely for free ;)
> 
Thanks ;)

> I guess this must be finished before Aug 3rd then?    
It needs to be build by that date, so to have enough time for CVS import it would be even better if it were at least a day earlier. In short, the sooner the better.
Comment 3 Julian Aloofi 2010-07-28 18:34:04 EDT
This package looks like there aren't any problems anyway. You used "F13 Laughlin" in the changelog, but that's about the only thing I was able to find.

I'll probably do the full review stuff tomorrow.
Comment 4 Julian Aloofi 2010-07-30 04:47:50 EDT
MUST: The package does not yet exist in Fedora. The Review Request is not a
duplicate. OK
MUST: The spec file for the package is legible and macros are used
consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the 
Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.
OK
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package
that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. N/A
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect
runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files
ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from
upstream, the packager should query upstream to include it. N/A
SHOULD: The package builds in mock.
- builds fine for fedora-13-i386, fedora-rawhide-i386 and fedora-12-i386

NOTE: You do not need the BuildRoot tag anymore, so you could just remove it next time you update the package.

APPROVED
Comment 5 Martin Sourada 2010-07-30 05:39:36 EDT
Thanks for the review :-) I'll make the fixes you noted after the initial import.
Comment 6 Martin Sourada 2010-07-30 05:41:24 EDT
New Package CVS Request
=======================
Package Name: laughlin-backgrounds
Short Description: Laughlin desktop backgrounds
Owners: mso
Branches: F-14
InitialCC:
Comment 7 Kevin Fenzi 2010-07-30 16:37:42 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Fedora Update System 2010-07-30 17:15:19 EDT
goddard-backgrounds-13.0.0-2.fc14,laughlin-backgrounds-13.91.0-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/goddard-backgrounds-13.0.0-2.fc14,laughlin-backgrounds-13.91.0-1.fc14
Comment 9 Fedora Update System 2010-08-01 15:18:18 EDT
goddard-backgrounds-13.0.0-2.fc14, laughlin-backgrounds-13.91.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.